<cfparam name="attributes.msg" default="">

<cfscript>

	// remove HTML code
	msg = ReplaceList(attributes.msg , "<,>,',""", "&lt;,&gt;,&rsquo;,&quot;");

	// Convert all URLs to active links 
	msg = REReplaceNoCase(msg, "([[:alnum:]]*://[[:alnum:]\@-]*(\.*[[:alnum:]][[:alnum:]-]*[[:alnum:]]\.*)?[[:alnum:]]{2,}(.?[[:alnum:]\/=^@*\\|~`+##@%&\?_-])+)", "<a href=""\1"" target=""_blank"">\1</a>", "ALL");
    
	// Convert all email addresses to active "mailto" link
	msg = REReplaceNoCase(msg, "(([[:alnum:]][-a-zA-Z0-9_%\.]*)?[[:alnum:]]@[[:alnum:]][-a-zA-Z0-9%\>.]*\.[[:alpha:]]{2,})", "<a href=""mailto:\1"" title=""email to: \1"">\1</a>", "ALL");

	// convert symbol to emoticons
	msg = Replace(msg, ":)", "<img src='images/emoticons/smile.gif' border='0'>", "ALL");
	msg = Replace(msg, ":=D", "<img src='images/emoticons/grin.gif' border='0'>", "ALL");
	msg = Replace(msg, ":D", "<img src='images/emoticons/laugh.gif' border='0'>", "ALL");
	msg = Replace(msg, ":p", "<img src='images/emoticons/tongue.gif' border='0'>", "ALL");
	msg = Replace(msg, ":()", "<img src='images/emoticons/shocked.gif' border='0'>", "ALL");
	msg = Replace(msg, ":(", "<img src='images/emoticons/sad.gif' border='0'>", "ALL");
	msg = Replace(msg, ":=(", "<img src='images/emoticons/angry.gif' border='0'>", "ALL");

	// set caller variable 
	caller.ChatText = msg;

</cfscript>