<!--- 
	DESCRIPTION: ENGLISH LANGUAGE PACK (original)
	LAST UPDATED: Jun 12, 2003
--->

<cfscript>
	lang = StructNew();

	// LANGUAGE SETTING
	lang.LanguageName = "English";
	lang.LanguageAlias = "en";
		
	// general system texts
	lang.sysWelcomeText = "<b>@1</b> just logged in <b>@2</b> channel."; 
	lang.sysGoodbyeText = "<b>@1</b> has left <b>@2</b> channel.";
	lang.sysTimeoutText = "<b>@1</b> has left <b>@2</b> channel. Connection timed out.";
	lang.sysTipText = "You may type <i>/help</i> to get all chat commands.";
	lang.sysNOTE = "NOTE";
	lang.sysERROR = "ERROR";		
	lang.sysINFO = "INFO";
	lang.sysACTION = "ACTION";
	lang.sysFIND = "FIND";
	lang.sysHELP = "HELP";

	// Login page
	lang.ChatLogin = "CHAT LOGIN";
	lang.Nickname = "Nick name";
	lang.Password = "Password";
	lang.NickColor = "Select a color for nickname";
	lang.Channel = "Channel";
	lang.NewChannel = "New channel";
	lang.NewPrivateChannel = "Private channel";
	lang.btnLogin = "Chat now!";
	lang.OnlineUser = "ONLINE";
	lang.UserChatting = "<b>@1</b> user(s) chatting";
		
	// Input Box Section
	lang.btnClear = "Clear";
	lang.btnClear_over = "Clear the chat screen";
	lang.btnQuit = " Quit ";
	lang.btnQuit_over = "Quit chatting";
	lang.confirmQuit = "Are you sure you wish to log out?";
	lang.Emoticons = "Insert emoticons";
	lang.TextColor = "Select a chat text color";
	
	// Online List Section
	lang.textChangeChannel = "Change channel";
	lang.textPMPublic = "Chat with: public";
	
	// error Texts
	lang.errNickLen = "Nickname can not exceed @1 characters.";
	lang.errNickWeird = "Nickname can not contain weird symbols";
	lang.errNickTaken = "Nickname @1 has already been taken by another user.";
	lang.errNickNotFound = "<i>@1</i> does not exist";
	lang.errIgnoreUser = "You can not add or remove yourself to/from ignore list.";
	lang.errRefreshRate = "Invalid value specified. Value must be a numeric value and must greater than 3 seconds";
	lang.errSyntax = "Syntax error. Type <i>/help</i> for help.";
	lang.errInvalidCmd = "Invalid command. Type <i>/help</i> for valid commands.";
	lang.errAdminLogin = "Password is invalid. Please try again!";
	lang.errCmdDisabled = "This command is disabled by chat admin.";
	lang.errAdminCmd = "You do not have enough access privilege to perform this command.";
	lang.errLoginFailed = "Invalid username and/or password";
	lang.errDisallowNick = "Nickname is banned";
	lang.errIPBanned = "Your IP adress has been banned";
	lang.errChannelFull = "Channel is full";
	lang.errChannelLocked = "Channel is locked";
	lang.errFeatureDisabled = "This feature is disabled";
	
	// command section	
	lang.StatusText_away = "I am currently away from my computer";
	lang.StatusText_back = "I am available";
	lang.StatusNote_away = "@1 has been away";
	lang.StatusNote_back = "@1 is back";
	lang.NickChangedNote = "<i>@1</i> is known as <i>@2</i>";
	lang.ColorChanged = "<i>Your nick color has been changed</i>";
	lang.NickChatting = "<i>@1</i> is currently chatting in <i>@2</i> channel.";
	lang.PublicMsg_on = "Display messages from the public: on";
	lang.PublicMsg_off = "Display messages from the public: off";
	lang.PM_on = "Private message is now enabled";
	lang.PM_off = "Private message is now disabled";
	lang.Ignore_list = "Current ignored users:";
	lang.Ignore_add = "Added <i>@1</i> to ignore list.";
	lang.Ignore_rem = "Removed <i>@1</i> from ignore list.";
	lang.RefreshRate = "Now the chat screen will refresh in @1 seconds...";
	lang.Kicked = "<i>@1</i> has been kicked out of the chat";
	lang.AdminLogin = "Admin logged in successfully...";
	lang.CurrentTime = "Current time is:";
	lang.Op = "<i>@1</i> has been granted operator access";
	lang.DeOp = "<i>@1</i> has been un-granted operator access";
	lang.BanList = "All IPs below are banned";
	lang.BanIP = "<u>@1</u> has been added to the ban list";		
	lang.UnbanIP = "<i>@1</i> has been removed from the ban list";
	lang.TopicChanged = "Channel's topic has been changed!";
	lang.ChannelLocked = "Channel has been locked!";
	lang.ChannelUnlocked = "Channel has been unlocked!";
	
	// whois result
	lang.WhoisResult = "Username: <i>@1</i><br>
	Status: @2<br>
	Logged in since: @3
	<br>Idle for: @4 minute(s) @5 seconds
	<br>Online time: @6 hour(s) @7 min.";

	// trace user result
	lang.TraceResult = "Username: <i>@1</i><br>
	Remote address: @2";

	// language 
	lang.Language = "Language";
	lang.LangChanged = "Language has been switched to <u>@1</u>";
	lang.LangNotFound = "Language not found! Available languages are:";
	
	// user commands help
	lang.UserCommands = "<u>CF_LiveChat supports these commands:</u><br>
	/msg nickname message: private chat with nickname<br>
	/status away|back [message]: set your status away|back<br>
	/action [text]: send text action to the channel<br>
	/find nickname: find nickname in all channels.<br>
	/whois nickname: display information about nickname<br>
	/public on|off: ignore|receive public messages<br>
	/nopm on|off: ignore|receive private messages from others<br>
	/ignore add|rem|list nickname: ignore user | unignore user | display ignore list<br>
	/nick nickname: change nickname<br>
	/nickcolor color: change nickcolor<br>
	/refresh seconds: change refresh rate, 'seconds' must greater than 3<br>
	/lang language: switch language<br>
	/now: show the current server time<br>
	/clear: clear the chat screen<br>
	/quit [reason]: quit chatting<br> 
	/help: display this help screen<br>";
	
	// admin commands help
	lang.AdminCommands = "<u>Admin commands:</u><br>
	/topic message: change the topic for current channel<br>
	/notice message: send notice to the current channel<br>
	/trace nickname: view nickname's IP<br>
	/kick nickname [reason]: kick user<br>
	/banip add|rem|list ip: ban ip | unban ip | display ban list<br>
	/op nickname: grant operator access to nickname<br>
	/deop nickname: un-grant operator access to nickname<br>
	/lock: lock the current channel<br>
	/unlock: unlock the current locked channel<br>
	/log [mm/dd/yy]: View date's chat log of the current channel. Default is today<br>
	/restart: restart the chat server. This action will log all users out.<br>";

	// operator command help
	lang.ModCommands = "<u>Operator commands:</u><br>
	/kick nickname [reason]: kick user<br>
	/lock: lock the current channel<br>
	/unlock: unlock the current locked channel<br>";
</cfscript>