<!--- 
	DESCRIPTION: FRENCH LANGUAGE PACK
	CONTRIBUTOR: Andr Gravel - aagravel@videotron.ca
	LAST UPDATED: Jun 12, 2003 
--->

<cfscript>
	lang = StructNew();

	// LANGUAGE SETTING
	lang.LanguageName = "French";
	lang.LanguageAlias = "fr";
	
	// general system texts
	lang.sysWelcomeText = "<b>@1</b> vient juste de s'ajouter au groupe <b>@2</b>."; 
	lang.sysGoodbyeText = "<b>@1</b> a quitt le groupe <b>@2</b>.";
	lang.sysTimeoutText = "<b>@1</b> a quitt le groupe <b>@2</b>. Le temps d'attente est chu.";
	lang.sysTipText = "Vous pouvez crire <i>/help</i> pour obtenir toutes les commandes.";
	lang.sysNOTE = "NOTE";
	lang.sysERROR = "ERREUR";		
	lang.sysINFO = "INFO";
	lang.sysACTION = "ACTION";
	lang.sysFIND = "TROUVEZ";
	lang.sysHELP = "AIDE";

	// Login page
	lang.ChatLogin = "INSCRIPTION";
	lang.Nickname = "Nom d'usager";
	lang.Password = "Mot de passe";
	lang.NickColor = "Slectionner une couleur";
	lang.Channel = "Groupe";
	lang.NewChannel = "Nouveau groupe";
	lang.NewPrivateChannel = "Groupe priv";
	lang.btnLogin = "Clavardez maintenant !";
	lang.OnlineUser = "EN LIGNE";
	lang.UserChatting = "<b>@1</b> clavardeur(s) d'inscrit(s)";
		
	// Input Box Section
	lang.btnClear = "Effacer";
	lang.btnClear_over = "Effacer l'cran du clavardage";
	lang.btnQuit = "Quitter";
	lang.btnQuit_over = "Cesser de clavarder";
	lang.confirmQuit = "tes-vous certain de vouloir quitter ?";
	lang.Emoticons = "Insrer des  Binettes ";
	lang.TextColor = "Slectionner une couleur";
	
	// Online List Section
	lang.textChangeChannel = "Changer de groupe";
	lang.textPMPublic = "Tous";
	
	// error Texts
	lang.errNickLen = "Le nom de l'usager ne peut pas excder @1 charactres.";
	lang.errNickWeird = "Le nom de l'usager ne peut pas contenir des symboles ou accents.";
	lang.errNickTaken = "Ce nom d'usager @1 est prsentement utilis.";
	lang.errNickNotFound = "<i>@1</i> n'existe pas";
	lang.errIgnoreUser = "Vous ne pouvez pas vous ajouter ou vous enlever de la liste des bannis.";
	lang.errRefreshRate = "Valeur invalide. Les valeurs doivent tre numriques et plus leves que 3 secondes";
	lang.errSyntax = "Erreur de syntax. crire <i>/help</i> pour de l'aide.";
	lang.errInvalidCmd = "Commande invalide.  crire <i>/help</i> pour de l'aide.";
	lang.errAdminLogin = "Le mot de passe est invalide. Essayez de nouveau s.v.p. !";
	lang.errCmdDisabled = "Cette commande est dsactive.";
	lang.errAdminCmd = "Avez-vous accs  ces privilges ?";
	lang.errLoginFailed = "Nom d'usager invalide ou/et mot de passe";
	lang.errDisallowNick = "Nickname is banned";
	lang.errIPBanned = "Your IP adress has been banned";
	lang.errChannelFull = "Channel is full";
	lang.errChannelLocked = "Channel is locked";
	lang.errFeatureDisabled = "This feature is disabled";
				
	// command section	
	lang.StatusText_away = "Je quitte mon clavier.";
	lang.StatusText_back = "Je suis disponible";
	lang.StatusNote_away = "@1 nous a quitt";
	lang.StatusNote_back = "@1 est de retour";
	lang.NickChangedNote = "<i>@1</i> est connu sout <i>@2</i>";
	lang.ColorChanged = "<i>Votre couleur personnalis a t change.</i>";
	lang.NickChatting = "<i>@1</i> clavarde prsentement dans le groupe <i>@2</i>.";
	lang.PublicMsg_on = "Afficher les messages du public : on";
	lang.PublicMsg_off = "Afficher les messages du public : off";
	lang.PM_on = "Le message priv est activ.";
	lang.PM_off = "Le message priv est dsactiv.";
	lang.Ignore_list = "Liste des usagers bannis du systme :";
	lang.Ignore_add = "Ajout <i>@1</i>  la liste des bannis.";
	lang.Ignore_rem = "Enlev <i>@1</i> de la liste des bannis.";
	lang.RefreshRate = "L'cran va se rafrachir dans @1 secondes...";
	lang.Kicked = "<i>@1</i> a t exclus du systme.";
	lang.AdminLogin = "L'administrateur est en ligne...";
	lang.CurrentTime = "L'heure du serveur est :";
	lang.Op = "<i>@1</i> has been granted operator access";
	lang.DeOp = "<i>@1</i> has been un-granted operator access";
	lang.BanList = "All IPs below are banned";
	lang.BanIP = "<u>@1</u> has been added to the ban list";		
	lang.UnbanIP = "<i>@1</i> has been removed from the ban list";
	lang.TopicChanged = "Channel's topic has been changed!";
	lang.ChannelLocked = "Channel has been locked!";
	lang.ChannelUnlocked = "Channel has been unlocked!";
		
	// whois result
	lang.WhoisResult = "Nom d'usager : <i>@1</i><br>
	Statut: @2<br>
	Inscrit depuis : @3
	<br> l'arrt depuis : @4 minute(s) @5 seconds
	<br>Temps en ligne : @6 heure(s) @7 min.";

	// trace user result
	lang.TraceResult = "Nom d'usager : <i>@1</i><br>
	Adresse : @2";

	// language 
	lang.Language = "Langue";
	lang.LangChanged = "Les textes ont t traduit en :  <u>@1</u>";
	lang.LangNotFound = "Je n'ai pas trouv la langue de votre choix ! Les langues disponibles sont : ";

	// user commands help
	lang.UserCommands = "<strong><u>Ce clavardeur supporte les commandes suivantes :</u></strong><br>
	<strong>/msg [nom de l'usager message] :</strong>/msg [nom de l'usager message] : clavardage priv avec Nom d'usager<br>
	<strong>/status away|back [message]:</strong> fixez votre statut j'ai quitt|je suis de retour<br>
	<strong>/action [texte]:</strong> envoi une action au groupe<br>
	<strong>/find [nom de l'usager] :</strong> trouve tous les noms d'usager dans tous les groupes.<br>
	<strong>/whois [nom de l'usager] :</strong> affiche l'information d'un usager<br>
	<strong>/public on|off :</strong> ignore|reoit les messages publiques des autres<br>
	<strong>/nopm on|off :</strong> ignore|reoit les messages privs des autres<br>
	<strong>/ignore add|rem|list nickname:</strong> ignore l'usager | rtabli accepte l'usager | affiche la liste des gens avec le statut  ignor <br>
	<strong>/nick [nom de l'usager] :</strong> change le nom d'usager<br>
	<strong>/nickcolor (couleur) :</strong> change votre couleur<br>
	/lang language: switch language<br>
	<strong>/now :</strong> affiche l'heure du serveur<br>
	<strong>/clear :</strong> efface la page de clavardage<br>
	<strong>/quit [raison] :</strong> quitter la session de clavardage<br> 
	<strong>/help :</strong> affiche cette page d'aide.<br>";
	
	// admin commands help
	lang.AdminCommands = "<strong><u>Commandes de l'administrateur :</u></strong><br>
	<strong>/topic [message] :</strong> change le propos du groupe de ce canal<br>
	<strong>/notice [message] :</strong> adresse un avis au groupe de ce canal<br>
	<strong>/trace [nom de l'usager] :</strong> affiche l'IP de l'usager<br>
	<strong>/kick [nom de l'usager - raison]:</strong> banir l'usager de la session de clavardage<br>
	/lock: lock the current channel<br>
	/unlock: unlock the current locked channel<br>
	<strong>/op [nom de l'uager] :</strong> permet l'accs au modrateur  la liste des usagers<br>
	<strong>/deop [nom de l'usager ] :</strong> fermer l'accs au modrateur  la liste des usagers<br>
	<strong>/banip add|rem|list ip:</strong> bannir IP | rtablir IP | affiche la liste des IP bannis<br>
	<strong>/log [mm/dd/yy] :</strong> Visualiser les dates du log de ce groupe (canal). Aujoutd'hui par dfaut<br>
	<strong>/refresh [secondes] :</strong> change le rthyme de mise  jour, 'secondes' doivent tre suprieurs  3 secondes.<br>
	<strong>/restart :</strong> redmarre le serveur de clavardage. Cette action va fermer tous les comptes.<br>";

	// operator command help
	lang.ModCommands = "<u>Commandes du modrateur :</u><br>
	<strong>/kick nickname [reason]:</strong> Bannir l'usager<br>
	/lock: lock the current channel<br>
	/unlock: unlock the current locked channel<br>";
</cfscript>